### Constructor

# ICalGLib Attach new_from_bytes

since: 1.0

#### Declaration [src]

    ICalAttach*
    i_cal_attach_new_from_bytes (
      GBytes* bytes
    )

#### Description [src]

Creates a new `ICalAttach` from the data in bytes. Takes a reference of `bytes`, increase the reference before calling this function if you with to use it afterward. The stored bytes should be already encoded with used encoding (like base64).

Available since: 1.0

#### Parameters

`bytes`

  Type: `GBytes`

  The `GBytes` holding the data used to create the `ICalAttach`.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `ICalAttach`

The newly created `ICalAttach`.

The caller of the function takes ownership of the data, and is responsible for freeing it.